#!/bin/bash

DEFAULT_DPI=300
LARGE='370' # Large container (370g)
SMALL='220' # Small container (220g)

SIZE=$LARGE
DLUO='décembre 2023'
LOT='0722-2'
TENEUR='50%'
FRUIT='80g'
STICKER='Gelée - Cassis.svg'

PDF="`basename \"${STICKER}\" .svg` - ${LOT} (${SIZE}g).pdf"

./makesticker.py --landscape --dluo "$DLUO" --lot "$LOT" --teneur "$TENEUR" --fruit "$FRUIT" --size "$SIZE" -o out.svg "$STICKER" && \
./makeplanche.py -o pout.svg -t planche.svg.in out.svg && \
rm out.svg && \
inkscape --export-type="png" --export-dpi=$DEFAULT_DPI pout.svg && \
rm pout.svg && \
convert pout.png "$PDF" 
